<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('currencies', function(Blueprint $table)
		{
			$table->id();
			$table->boolean('active')->default(false);

			$table->string('iso', 3)->unique();
			$table->string('name', 191)->unique();
			$table->text('notes')->nullable();
			$table->text('rates')->nullable();
			$table->string('symbol', 2);
			$table->smallInteger('rounding');

			$table->unique(['id','iso']);
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('currencies');
	}
};